Skip to content

Update agents

Request

Bulk update agents/admins.

Security
ApiKeyAuth
Bodyapplication/json

The list of agent/admin update actions

Array [
idstringrequired

Unique identifier for the agent

displayNamestringrequired

The agent's display name

phoneNumberstring

The agent's primary phone number

additionalEmailsArray of strings, unique

Additional email addresses for the agent

additionalPhoneNumbersArray of strings, unique

Additional phone numbers for the agent

firstNamestring

The agent's first name

lastNamestring

The agent's last name

middleNamesArray of strings

The agent's middle names

avatarUrlstring

The url from which to load the agent's avatar

]
PUT
/v1/agents
curl -i -X PUT \
  https://dev.dixa.io/v1/agents \
  -H 'Authorization: YOUR_API_KEY_HERE' \
  -H 'Content-Type: application/json' \
  -d '[
    {
      "id": "434ce9f5-14c8-4be1-a0a8-f755010deb9b",
      "displayName": "Alice Brown",
      "phoneNumber": "+551155256325",
      "additionalEmails": [],
      "additionalPhoneNumbers": [],
      "firstName": "Alice",
      "lastName": "Brown",
      "middleNames": [],
      "avatarUrl": "http://avatar.url"
    }
  ]'

Responses

The list of update action outcomes

Bodyapplication/json
dataArray of any(BulkActionOutcome_BulkError_Agent)
Response
{ "data": [ {} ] }